<?php

/**
 * CConfig.php - Config class (singleton)
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension;

class CConfig
	{

	/**
	 * @var array $m_aContainer Container
	 */
	private static $m_aContainer = [];

	/**
	 * add - Add Configuration to Container
	 *
	 * @access public
	 * @param array $aConfig Configuration
	 * @param string $sName Name
	 * @return void
	 */
	public static function add($aConfig, $sName = null)
		{
		if (empty($sName))
			{
			$sName = arr_get($aConfig, '@attributes.name', 'unknown');
			}
		self::$m_aContainer[$sName] = $aConfig;
		}

	/**
	 * get - Get Configuration from Container
	 *
	 * @access public
	 * @param string $sName Name
	 * @param array|string $vDefault Default values
	 * @return void
	 */
	public static function get($sName = null, $vDefault = [])
		{
		if (!empty($sName))
			{
			return arr_get(self::$m_aContainer, $sName, $vDefault);
			}
		return self::$m_aContainer;
		}

	}
