<?php

/**
 * COrderDetail.php - Implementation of Catalog/OrderDetail table class.
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\DB\Table;

if (!defined('TABLE_ORDER_DETAIL'))
	{
	define('TABLE_ORDER_DETAIL', 'OrderDetail');
	}

class COrderDetailBase extends CTable
	{

	/**
	 * @var string $m_sTable Table name
	 */
	protected $m_sTable = TABLE_ORDER_DETAIL;

	/**
	 * @var string $m_sIdColumn ID Column name
	 */
	protected $m_sIdColumn = 'OrderDetailID';

	/**
	 * @var bool $m_bAutoID Auto ID
	 */
	protected $m_bAutoID = false;

	/**
	 * @var array $m_aDefaultValues Default Values
	 */
	protected $m_aDefaultValues = [
		'OrderDetailID' => '',
		'Version' => '13',
		'ProgramVersion' => '6AAA',
		'UpdateCount' => '0',
		'Status' => 'N',
		'OrderSequenceNumber' => '0',
		'ProductReference' => '1',
		'QuantityOrdered' => '',
		'Price' => '0',
		'TotalCost' => '0',
		'DateInput' => '',
		'InformationInput' => '',
		'QuantityShipped' => '0',
		'QuantityCancelled' => '0',
		'TaxTreatment' => '0',
		'Tax 1' => '0',
		'Tax 2' => '0',
		'sProductDescription' => '',
		'sOpaqueShipData' => '',
		'dDiscount' => '0',
		'nDiscountRate' => '0',
		'nQuantityBackOrdered' => '0',
		'sCancelMessage' => '',
		'dOriginalDiscount' => '0',
		'dOriginalUnitPrice' => '0',
		'dOriginalTax1' => '0',
		'dOriginalTax2' => '0',
		'dOriginalTotalCost' => '0',
		'nOriginalDiscountRate' => '0',
		'nOriginalTaxTreatment' => '0',
		'sTax1OpaqueData' => '301=2000=0=VAT=',
		'sTax2OpaqueData' => '0=0=0==',
		'sOrigTax1OpaqueData' => '301=2000=0=VAT=',
		'sOrigTax2OpaqueData' => '0=0=0==',
		'bIsComponent' => 0, //false
		'nComponentParentID' => '0',
		'sReportDescription' => '',
		'sTax1Code' => '',
		'sTax2Code' => '',
		'dTax1Rate' => '0',
		'dTax2Rate' => '0',
		'sReportKey' => '',
		'bNoOrderLineForMainProduct' => 0, //false
		'bComponentsAsSepOrderLines' => 0, //false
		'nLineType' => '0',
		'nSequenceNumber' => '0',
		'nAdjustmentTaxTreatment' => '0',
		'sDatePrompt' => '',
		'sInfoPrompt' => '',
		'bOfflineOrderline' => 0, //false
		'bManualUnitPrice' => 0, //false
		'UpdateDate' => '',
		'sCoupon' => '',
		'nCostPrice' => '0',
		'nPickedCount' => '0',
		'ePickedStatus' => '0',
		'sBarCode' => '',
		'sStockAisle' => '',
		'sStockRack' => '',
		'sStockSubRack' => '',
		'sStockBin' => '',
		'bAssemblyProduct' => 0, //false
	];

	/**
	 * CreateOriginalCopies - Creates Original Copies
	 *
	 * @access public
	 * @return void
	 */
	public function CreateOriginalCopies()
		{
		$this->m_aActualValues['dOriginalTotalCost'] = $this->m_aActualValues['TotalCost'];
		$this->m_aActualValues['dOriginalTax1'] = $this->m_aActualValues['Tax 1'];
		$this->m_aActualValues['dOriginalTax2'] = $this->m_aActualValues['Tax 2'];
		$this->m_aActualValues['sOrigTax1OpaqueData'] = $this->m_aActualValues['sTax1OpaqueData'];
		$this->m_aActualValues['sOrigTax2OpaqueData'] = $this->m_aActualValues['sTax2OpaqueData'];
		$this->m_aActualValues['nOriginalTaxTreatment'] = $this->m_aActualValues['TaxTreatment'];
		$this->m_aActualValues['dOriginalDiscount'] = $this->m_aActualValues['dDiscount'];
		$this->m_aActualValues['dOriginalUnitPrice'] = $this->m_aActualValues['Price'];
		}

	}
