<?php

/**
 * COrderHistoryBase.php - Implementation of Catalog/OrderHistory table class.
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\DB\Table;

if (!defined('TABLE_ORDER_HISTORY'))
	{
	define('TABLE_ORDER_HISTORY', 'OrderHistory');
	}

class COrderHistoryBase extends CTable
	{

	/**
	 * @var string $m_sTable Table name
	 */
	protected $m_sTable = TABLE_ORDER_HISTORY;

	/**
	 * @var string $m_sIdColumn ID Column name
	 */
	protected $m_sIdColumn = 'nID';

	/**
	 * @var array $m_aDefaultValues Default Values
	 */
	protected $m_aDefaultValues = [
		'nID' => 0,
		'nOrderID' => 0,
		'nUserID' => 0,
		'sUserName' => 'Administrator',
		'sAction' => '',
		'sDate' => '', //Format string is %m/%d/%Y %I:%M:%S %p
	];

	}
