<?php

/**
 * COrderTrackingBase.php - Implementation of Catalog/Order table class.
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\DB\Table;

if (!defined('TABLE_ORDER_TRACKING'))
	{
	define('TABLE_ORDER_TRACKING', 'OrderTracking');
	}

class COrderTrackingBase extends CTable
	{

	/**
	 * @var string $m_sTable Table name
	 */
	protected $m_sTable = TABLE_ORDER_TRACKING;

	/**
	 * @var string $m_sIdColumn ID Column name
	 */
	protected $m_sIdColumn = 'nID';

	/**
	 * @var array $m_aDefaultValues Default Values
	 */
	protected $m_aDefaultValues = [
		"nID" => '',
		"nOrderSequenceNumber" => '',
		"nSSPProviderID" => -1,
		"sTrackingNumber" => '',
		"sSSPOpaqueData" => '',
		"nActualCost" => 0,
		"dWeight" => 0,
		"sOpaqueData" => '',
		"sProductDetails" => '',
		"bContentsUndefined" => 0, //false
		"sDateTimeExported" => '',
		"sDimensionsLWH" => '',
	];

	}
