<?php

/**
 * CPaymentHistoryBase.php - Implementation of Catalog/Payment History table class.
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\DB\Table;

if (!defined('TABLE_PAYMENT_HISTORY'))
	{
	define('TABLE_PAYMENT_HISTORY', 'PaymentHistory');
	}

class CPaymentHistoryBase extends CTable
	{

	/**
	 * @var string $m_sTable Table name
	 */
	protected $m_sTable = TABLE_PAYMENT_HISTORY;

	/**
	 * @var string $m_sIdColumn ID Column name
	 */
	protected $m_sIdColumn = 'nID';

	/**
	 * @var array $m_aDefaultValues Default Values
	 */
	protected $m_aDefaultValues = [
		'OrderNumber' => 0,
		'ActinicStatus' => 1,
		'EntryType' => 0,
		'OperationMode' => 0,
		'Amount' => 0,
		'Currency' => '',
		'Comment' => ' ',
		'PaymentType' => 0,
		'CCAuthCode' => ' ',
		'OCCProviderRef' => ' ',
		'CustomerRef' => ' ',
		'OCCProviderResponse' => ' ',
		'sChecksum' => '',
		'nID' => 0,
		'sAVSResult' => '',
		'sCV2Result' => '',
		'sZipResult' => '',
		's3DSResult' => '',
		'sCardHash' => '',
		'sCardReference' => '',
		'nProviderID' => 0,
		's3DSEnrolled' => '',
		'nFraudState' => 0,
		'nFraudScore' => 0,
		'bFraudFeedbackOk' => 0, //false
		'sFraudRule' => '',
		'sCardScheme' => '',
		'sExpiryDate' => '',
		'sMaskedCardNumber' => '',
		'sCAReference' => '',
		'DateTimeActioned' => '',
		'DateTimeCreated' => '',
		'nAppStatus' => -1,
	];

	}
