<?php

/**
 * CPersonBase.php - Implementation of Catalog/Person table class.
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\DB\Table;

if (!defined('TABLE_PERSON'))
	{
	define('TABLE_PERSON', 'Person');
	}

class CPersonBase extends CTable
	{

	/**
	 * @var string $m_sTable Table name
	 */
	protected $m_sTable = TABLE_PERSON;

	/**
	 * @var string $m_sIdColumn ID Column name
	 */
	protected $m_sIdColumn = 'ContactID';

	/**
	 * @var array $m_aDefaultValues Default Values
	 */
	protected $m_aDefaultValues = [
		'Name' => '',
		'Salutation' => '',
		'Company' => '',
		'Phone Number' => '',
		'FAX Number' => '',
		'Web Site' => '',
		'ContactID' => null,
		'sUserDefined' => '',
		'bKeepContactPrivate' => true,
		'sCustomerExternalRef' => '',
		'Address Country' => '',
		'Email Address' => '',
		'Address Line 1' => '',
		'Address Line 2' => '',
		'Address Line 3' => '',
		'Address Line 4' => '',
		'Title' => '',
		'Postal Code' => '',
		'sFirstName' => '',
		'sLastName' => '',
		'sMobileNumber' => '',
	];

	}
