<?php

/**
 * CProductBase.php - Implementation of Product table class.
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\DB\Table;

class CProductBase extends CTable
	{

	/**
	 * @var string $m_sTable Table name
	 */
	protected $m_sTable = TABLE_PRODUCT;

	/**
	 * @var string $m_sIdColumn ID Column name
	 */
	protected $m_sIdColumn = 'Product Reference';

	/**
	 * @var bool $m_bAutoID Auto ID
	 */
	protected $m_bAutoID = false;

	/**
	 * @var array $m_aDefaultValues Default Values
	 */
	protected $m_aDefaultValues = [
		'Magic number' => '',
		'Version' => '',
		'Update prog version no' => '',
		'Update count' => '',
		'Last update' => '',
		'IP Address' => '',
		'Status' => '',
		'Catalog reference' => '',
		'nParentSectionID' => '',
		'Product sequence' => '',
		'Magic number' => '',
		'Version' => '',
		'Update prog version no' => '',
		'Update count' => '',
		'Last update' => '',
		'IP Address' => '',
		'Status' => '',
		'Catalog reference' => '',
		'nParentSectionID' => '',
		'Product sequence' => '',
		'Product Reference' => '',
		'Full description' => '',
		'Price' => '',
		'Can be ordered online' => '',
		'Max quantity orderable' => '',
		'Min quantity orderable' => '',
		'TaxTreatment' => '',
		'sDetailLinkText' => '',
		'bSuppressHtml' => 0, //false
		'sProductTemplate' => '',
		'ShippingOpaqueData' => '',
		'sPriceText' => '',
		'sButtonText' => '',
		'sAlternateForRef' => '',
		'nAttributeGroupID' => '',
		'bUseExternalData' => 0, //false
		'bStockEnabled' => 0, //false
		'nStockOnHand' => '',
		'nStockWarn' => '',
		'nStockSuspend' => '',
		'sVariantOfRef' => '',
		'bHasSubItems' => 0, //false
		'nPricingModel' => '',
		'sReportDescription' => '',
		'nPrintSequence' => '',
		'sTax1OpaqueData' => '',
		'sTax2OpaqueData' => '',
		'sTax3OpaqueData' => '',
		'sTax4OpaqueData' => '',
		'sTax5OpaqueData' => '',
		'sTax6OpaqueData' => '',
		'sTax7OpaqueData' => '',
		'sTax8OpaqueData' => '',
		'sTax9OpaqueData' => '',
		'sTax10OpaqueData' => '',
		'sTax11OpaqueData' => '',
		'sTax12OpaqueData' => '',
		'sTax13OpaqueData' => '',
		'sTax14OpaqueData' => '',
		'sTax15OpaqueData' => '',
		'sTax16OpaqueData' => '',
		'sTax17OpaqueData' => '',
		'sTax18OpaqueData' => '',
		'sTax19OpaqueData' => '',
		'sTax20OpaqueData' => '',
		'sTax21OpaqueData' => '',
		'sTax22OpaqueData' => '',
		'sTax23OpaqueData' => '',
		'sTax24OpaqueData' => '',
		'sTax25OpaqueData' => '',
		'sTax26OpaqueData' => '',
		'sTax27OpaqueData' => '',
		'sTax28OpaqueData' => '',
		'sTax29OpaqueData' => '',
		'sTax30OpaqueData' => '',
		'sTax31OpaqueData' => '',
		'sTax32OpaqueData' => '',
		'sTax33OpaqueData' => '',
		'sTax34OpaqueData' => '',
		'sTax35OpaqueData' => '',
		'sTax36OpaqueData' => '',
		'sTax37OpaqueData' => '',
		'sTax38OpaqueData' => '',
		'sTax39OpaqueData' => '',
		'sTax40OpaqueData' => '',
		'sTax41OpaqueData' => '',
		'sTax42OpaqueData' => '',
		'sTax43OpaqueData' => '',
		'sTax44OpaqueData' => '',
		'sTax45OpaqueData' => '',
		'sTax46OpaqueData' => '',
		'sTax47OpaqueData' => '',
		'sTax48OpaqueData' => '',
		'sTax49OpaqueData' => '',
		'sTax50OpaqueData' => '',
		'bShipSeparately' => 0, //false
		'nMinYearValue' => '',
		'nMaxYearValue' => '',
		'bGeneratePopupPage' => 0, //false
		'sExtendedInfoLayout' => '',
		'sExtendedInfoText' => '',
		'sExtendedInfoWidth' => '',
		'sExtendedInfoHeight' => '',
		'sExtendedInfoPage' => '',
		'bNoOrderLineForMainProduct' => 0, //false
		'Date prompt text' => '',
		'Other info prompt' => '',
		'bAutoShip' => 0, //false
		'nGroupID' => '',
		'nProductType' => '',
		'sOriginalProdRef' => '',
		'nDuplicateIndex' => '',
		'sLinkedItemID' => '',
		'nLinkedItemType' => '',
		'bLinked' => 0, //false
		'sFragmentText' => '',
		'bImageClickable' => 0, //false
		'sLinkText' => '',
		'sLayoutID' => '',
		'sFragmentImage' => '',
		'bExcludeFromFroogle' => 0, //false
		'nContentCategory' => '',
		'bIncludeInBestSellers' => 0, //false
		'bIncludeInNewProducts' => 0, //false
		'bIncludeInAlsoBought' => 0, //false
		'bExcludeFromShippingCalc' => 0, //false
		'bShareWithEpos' => 0, //false
		'sBarcode' => '',
		'bShipSupplAppliedOnce' => 0, //false
		'bHandSupplAppliedOnce' => 0, //false
		'dShippingSupplement' => '',
		'dHandlingSupplement' => '',
		'sAltWeight' => '',
		'sShippingCategory' => '',
		'nShippingQuantity' => '',
		'sDDFileName' => '',
		'Short description' => '',
		'Image FileName' => '',
		'sThumbnailImage' => '',
		'sDetailUrlOrFile' => '',
		'sExtendedInfoImage' => '',
		'nCostPrice' => '',
		'sFragmentTitle' => '',
		'sCreateDate' => '',
		'sPreviousRef' => '',
		'sPreviousShortDescription' => '',
		'nPreviousProductEntryFlags' => '',
		'sStockAisle' => '',
		'sStockRack' => '',
		'sStockSubRack' => '',
		'sStockBin' => '',
		'bAssemblyProduct' => 0, //false
		'bGenerateSingleProductPage' => 0, //false
		'sSingleProductPageName' => '',
		'sSingleProductPageTitle' => '',
		'sSPPMetaDescription' => '',
		'sSPPMetaKeyWords' => '',
		'bSPPIncludeInSiteMap' => 0, //false
		'nDisplayByImage' => '',
		'nDisplayByLink' => '',
		'nDisplayByProductName' => '',
		'bSPPDisplayExtInfoByImage' => 0, //false
		'bSPPDisplayExtInfoByBtn' => 0, //false
		'bSPPDisplayExtInfoByLink' => 0, //false
		'sSPPDisplayExtInfoByLinkTxt' => '',
		'sProductListLinkText' => '',
		'bHideFromSearchAndFilters' => 0, //false
		'bEnableFragmentProductList' => 0, //false
		'sAlternateProductList' => '',
		'sAltParentProductRef' => '',
		'nReviewCount' => '',
		'nReviewRating' => '',
		'sEmbedVideoHTML' => '',
		'sExtInfoEmbedVideoHTML' => '',
		'sReviewXML' => '',
	];

	}
