<?php

/**
 * InvalidCurrencyException.php - Implementation file for Invalid Currency Exception class.
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\SDException;

class InvalidCurrencyException extends ValidatorException
	{

	/**
	 * @var string $m_sCurrency Currency
	 */
	private $m_sCurrency = "";

	/**
	 * __construct - Object constructor
	 *
	 * @access public
	 * @param string $sCurrency Currency
	 * @return void
	 */
	public function __construct($sCurrency)
		{
		$this->m_sCurrency = $sCurrency;
		parent::__construct(sprintf(EXCEPTION_MSG_INVALID_CURRENCY, $sCurrency), EXCEPTION_CODE_INVALID_CURRENCY);
		}

	/**
	 * GetInvalidCurrency - Getting Invalid Currency
	 *
	 * @access public
	 * @return string Currency
	 */
	public function GetInvalidCurrency()
		{
		return $this->m_sCurrency;
		}

	}
