<?php
date_default_timezone_set('GMT');

header('Content-Type: application/json');

require_once('../../framework/bootstrap.php');

function UnLockError($aUnLockReturnValue, $sProductReference, $sUnLock = 'lock')
	{
	if (arr_get($aUnLockReturnValue, 'response.status', 'success') != 'success')
		{
		$sErrorMessage = "There was an error {$sUnLock}ing the product. " . arr_get($aUnLockReturnValue, 'response.returns.item.message', '');
		$aData = ['bError' => 1, 'sErrorMessage' => $sErrorMessage];
		\SDExtension\Helper\CLogger::get(LOG_CHANNEL_NAME)->addError($sErrorMessage);
		return $aData;
		}
	return false;
	}

list($oCatalogDB, $oShippingDB) = SDExtension\DB\CDataBaseFactory::createAll(SDExtension\CConfig::get('sdd-configuration.database'));
$oProductTable = new \SDExtension\DB\Table\CProduct($oCatalogDB);

$aData = [];

switch (arr_get($_GET, 'function'))
	{
	case 'lookup':
		$sProductReference = arr_get($_POST, 'product-reference', ' ');
		$aData = $oProductTable->LoadByID(SQL_TYPE_STRING . $sProductReference);
		if (empty($aData))
			{
			$aData = ['bError' => 1, 'sErrorMessage' => 'Product not found.'];
			}
		break;
	case 'update':
		$sProductReference = arr_get($_POST, 'product-reference', ' ');
		$sShortDescription = arr_get($_POST, 'product-description', '');
		$oSDApiSoapJobs = CreateSDApiSoapJobs();
		$aLockReturnValue = $oSDApiSoapJobs->ProductLockAndUnlock($sProductReference, "lock");
		$vLockErrorValue = UnLockError($aLockReturnValue, $sProductReference, "lock");
		if ($vLockErrorValue !== false)
			{
			$aData = $vLockErrorValue;
			break;
			}
		$oProductTable->UpdateSave(['Full description' => $sShortDescription, 'Product Reference' => SQL_TYPE_STRING . $sProductReference]);
		$aUnlockReturnValue = $oSDApiSoapJobs->ProductLockAndUnlock($sProductReference, "unlock");
		$vUnlockErrorValue = UnLockError($aUnlockReturnValue, $sProductReference, "unlock");
		if ($vUnlockErrorValue !== false)
			{
			$aData = $vUnlockErrorValue;
			}
		break;
	default:
		break;
	}

echo json_encode($aData);
