<?php

/**
 * CCatalogWrapper.php - Implementation file for Catalog Wrapper class.
 * 
 *      Contains useful functions
 * 
 * @package     SellerDeck Extensions
 * 
 * @author      Péter Erdődi
 * @copyright   © SellerDeck Ltd 2015. All rights reserved.
 */

namespace SDExtension\DB\Wrapper;

class CCatalogWrapper
	{

	/**
	 * @var object DataBase Object
	 */
	protected $m_oDB = null;

	/**
	 * __construct - Object constructor method
	 *
	 * @access public
	 * @param object $oDB DataBase Object
	 * @return void
	 */
	public function __construct(\SDExtension\DB\CDataBase $oDB)
		{
		$this->m_oDB = $oDB;
		}

	/**
	 * ListCountries - Lists Countries
	 *
	 * @access public
	 * @return GeneratorObject
	 */
	public function ListCountries()
		{
		foreach ($this->m_oDB->Select('countries') as $row)
			{
			yield $row;
			}
		}

	}
